Public Class NetHashTable
    Private ht As Hashtable

    Public Sub New()
        MyBase.new()
        ht = New Hashtable
    End Sub

    Public Sub Add(ByVal key As Object, ByVal value As Object)
        ht.Add(key, value)
    End Sub

    Public Sub Remove(ByVal key As Object)
        ht.Remove(key)
    End Sub

    Public Sub Clear()
        ht.Clear()
    End Sub

    Public Function Item(ByVal key As Object) As Object
        Return ht.Item(key)
    End Function

    Public Function Contains(ByVal key As Object)
        Return ht.Contains(key)
    End Function

    Public Function ContainsKey(ByVal key As Object)
        Return ht.ContainsKey(key)
    End Function

    Public Function ContainsValue(ByVal value As Object)
        Return ht.ContainsValue(value)
    End Function

End Class
